petsc-3.13.6 2020-09-29
Report Typos and Errors

# DMPlexSetCellType

Set the polytope type of a given cell

### Synopsis

    #include "petscdmplex.h"
    PetscErrorCode DMPlexSetCellType(DM dm, PetscInt cell, DMPolytopeType celltype)

Not Collective

### Input Parameters

| dm | - The DMPlex object
| cell | - The cell
| celltype | - The polytope type of the cell

Note: By default, cell types will be automatically computed using DMPlexComputeCellTypes() before this function is executed. This function will override the computed type. However, if automatic classification will not succeed and a user wants to manually specify all types, the classification must be disabled by calling DMCreaateLabel(dm, "celltype") before getting or setting any cell types.

### See Also

DMPlexGetCellTypeLabel(), DMPlexGetDepthLabel(), DMPlexGetDepth(), DMPlexComputeCellTypes(), DMCreateLabel()

### Level

advanced

### Location

src/dm/impls/plex/plex.c
Index of all DMPLEX routines
Table of Contents for all manual pages
Index of all manual pages